@font-face {
    font-family: "NTB";
    src: url("fonts/ntb.otf") format("opentype");
}

html {
    font-size: 14px;
}

body {
    font-family: "NTB";
}

main {
    color: #fff;
}

a:hover {
    color: #007bff;
    text-decoration: none;
}

.cursor-pointer {
    cursor: pointer;
}

.cursor-zoom-in {
    cursor: zoom-in;
}

/* backgrounds */
.bg-1 {
    background: #262626;
}

.bg-2 {
    background: #f7f8fb;
}

.bg-3 {
    background: #fff5f4;
}

.bg-4 {
    background: #fff;
}

.bg-5 {
    background: #001931;
}

.bg-img-1 {
    background: #fff5f4 url("../images/bg/1.jpg");
}

.bgh-1:hover {
    background: #e89796 !important;
}

/* colors */
.fg-facebook {
    color: #1877f2 !important;
}

.fg-instagram {
    color: #c32aa3 !important;
}

.fg-linkedin {
    color: #0a66c2 !important;
}

.fg-twitter {
    color: #1da1f2 !important;
}

.fg-youtube {
    color: #ff0000 !important;
}

.fg-whatsapp {
    color: #25d366 !important;
}

.fg-inherit {
    color: inherit;
}

.fg-1 {
    color: #303030;
}

.fg-2 {
    color: #444;
}

.fg-3 {
    color: #666;
}

.fg-4 {
    color: #606060;
}

.fg-5 {
    color: #687188;
}

.fg-6 {
    color: #292b2c;
}

.fgh-1 {
    color: #fff;
}

.fgh-1:hover {
    color: #007bff;
}

.fgh-2 {
    color: #687188;
}

.fgh-2:hover {
    color: #007bff;
}

/* font size */
.fs-12 {
    font-size: 12px;
}

.fs-13 {
    font-size: 13px;
}

.fs-16 {
    font-size: 16px;
}

/* font weight */
.fw-300 {
    font-weight: 300;
}

.fw-400 {
    font-weight: 400;
}

.fw-500 {
    font-weight: 500;
}

.fw-600 {
    font-weight: 600;
}

.fw-700 {
    font-weight: 700;
}

/* position */
.absolute-top,
.absolute-top-right,
.absolute-center,
.absolute-center-left,
.absolute-bottom,
.absolute-bottom-right {
    position: absolute;
    left: 0;
    right: 0;
}

.absolute-top {
    top: 0;
}

.absolute-top-right {
    top: 0;
    left: unset;
}

.absolute-center {
    top: 50%;
    transform: translateY(-50%);
}

.absolute-center-left {
    top: 50%;
    transform: translateY(-50%);
    right: unset;
}

.absolute-bottom {
    bottom: 0;
}

.absolute-bottom-right {
    bottom: 0;
    left: unset;
}

.zi-2 {
    z-index: 2;
}

/* width */
.mw-40 {
    max-width: 40%;
}

.mwp-100 {
    max-width: 100px;
}

.mwp-150 {
    max-width: 150px;
}

/* height */
.mhp-32 {
    max-height: 32px;
}

/* button */
.btn-fbl {
    right: unset;
    left: 10px;
    bottom: 10px;
}

.btn-fbr {
    right: 10px;
    left: unset;
    bottom: 10px;
}

.btn-cart,
.btn-more {
    background-color: #6c757d;
    border-color: #6c757d;
}

.btn-cart:hover {
    background-color: #007bff;
    border-color: #007bff;
}

.btn-cart:disabled {
    background-color: #3A99FC;
    border-color: #3A99FC;
}

/* menu */
.amenu {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 2;
    background: rgba(255, 255, 255, 0.8);
}

/* menu */
.g-menu-state,
.g-menu-toggle,
.g-sub-menu {
    display: none;
}

.g-menu-toggle {
    padding: 0.5em 3.5em 0.5em 0.5em;
    position: relative;
}

.g-menu-icon {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin: 0;
    padding: 1em;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
}

.g-menu-toggle .g-menu-icon::after {
    content: "\f0c9";
}

.g-menu-state:checked ~ .g-menu-toggle .g-menu-icon::after {
    content: "\f00d";
}

.g-main-menu,
.g-sub-menu {
    list-style: none;
    margin: 0;
    padding: 0;
}

.g-sub-menu {
    background: #fff;
}

.g-main-menu li {
    border-bottom: 1px solid #ddd;
    position: relative;
}

.g-main-menu li:last-child {
    border-bottom: none;
}

.g-main-menu a,
.g-menu-item {
    color: #1e1e1e;
    display: block;
    padding: 1em;
}

.g-main-menu > li > a {
    color: #fff;
}

.float-menu .g-main-menu > li > a {
    color: #303030;
}

.g-menu-icon,
.g-main-menu a:hover,
.g-menu-item:hover,
.g-main-menu a:focus,
.g-menu-item:focus {
    outline: none;
    color: #007bff;
    text-decoration: none;
}

.g-menu-state ~ a,
.g-menu-state ~ .g-menu-item {
    padding-right: 3.5em;
}

.g-main-menu .active {
    color: #007bff;
}

@media (max-width: 767px) {
    .g-menu-state ~ .g-menu-icon::after {
        content: "\f067";
    }

    .g-menu-state:checked ~ .g-menu-icon::after {
        content: "\f068";
    }

    .g-menu-state:checked ~ .g-main-menu,
    .g-menu-state:checked ~ .g-sub-menu {
        display: block;
    }

    .g-sub-menu {
        margin-left: 1em;
    }

    .g-sub-menu li:first-child {
        border-top: 1px solid #ddd;
    }
}

@media (min-width: 768px) {
    .g-main-menu,
    .g-menu-state:checked ~ .g-main-menu {
        display: flex;
        flex-flow: row wrap;
    }

    .g-main-menu > li {
        border-bottom: none;
    }

    .g-main-menu li:hover > .g-sub-menu {
        display: block;
    }

    .g-main-menu a,
    .g-menu-item {
        padding: 1em 2em;
    }

    .g-sub-menu {
        border: 1px solid #ddd;
        left: 0;
        min-width: 10em;
        position: absolute;
        top: 100%;
        white-space: nowrap;
        z-index: 2;
    }

    .g-sub-menu .g-sub-menu {
        left: 100%;
        top: 0;
    }

    .g-menu-state ~ a,
    .g-menu-state ~ .g-menu-item {
        padding-right: 2.5em;
    }

    .g-menu-state ~ .g-menu-icon::after {
        content: "\f078";
    }

    .g-sub-menu .g-menu-state ~ .g-menu-icon::after {
        content: "\f054";
    }

    .g-menu-icon {
        padding: 1em 0.5em;
    }
}

@media (max-width: 767px) {
    .g-menu-toggle {
        display: block;
    }

    .g-menu-toggle .g-menu-icon {
        top: 50%;
        transform: translateY(-50%);
    }

    .g-main-menu {
        display: none;
    }

    .g-menu-state ~ a,
    .g-menu-state ~ .g-menu-item {
        padding-right: 3.5em;
    }

    .g-menu-icon {
        padding: 1em;
    }
}

.banner-overlay::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 100%;
}

/* slide */
.slide-overlay::before {
    background: rgba(0, 0, 0, 0.3);
}

/* banner */
.banner-overlay::before {
    background: rgba(0, 0, 0, 0.3);
    transition: all 0.3s ease;
    top: 50%;
    left: 50%;
    height: 0;
    width: 0;
}

.banner-overlay:hover::before {
    top: 15px;
    left: 15px;
    height: calc(100% - 30px);
    width: calc(100% - 30px);
}

/* product */
.product-title {
    height: 3rem;
    overflow: hidden;
}

/* .product-variant {
    background-image: repeating-linear-gradient(45deg, #333, #333 10px, transparent 10px, transparent 20px), repeating-linear-gradient(135deg, #333, #333 10px, transparent 10px, transparent 20px), repeating-linear-gradient(225deg, #333, #333 10px, transparent 10px, transparent 20px), repeating-linear-gradient(315deg, #333, #333 10px, transparent 10px, transparent 20px);
    background-position: 0 0, 0 0, 100% 0, 0 100%;
    background-size: 3px 100%, 100% 3px, 3px 100%, 100% 3px;
    background-repeat: no-repeat;
}

.product-variant-selected {
    background-image: repeating-linear-gradient(45deg, #e89796, #e89796 10px, transparent 10px, transparent 20px), repeating-linear-gradient(135deg, #e89796, #e89796 10px, transparent 10px, transparent 20px), repeating-linear-gradient(225deg, #e89796, #e89796 10px, transparent 10px, transparent 20px), repeating-linear-gradient(315deg, #e89796, #e89796 10px, transparent 10px, transparent 20px);
} */

/* image swap */
.img-swap:hover .img-swap-front,
.img-swap .img-swap-back {
    display: none;
}

.img-swap:hover .img-swap-back {
    display: block;
}

/* color box */
.color-box {
    height: 15px;
    width: 15px;
}

/* table*/
.g-table {
    display: table;
    table-layout: fixed;
}

.g-caption {
    display: table-caption;
}

.g-colgroup {
    display: table-column-group;
}

.g-col {
    display: table-column;
}

.g-thead {
    display: table-header-group;
}

.g-tbody {
    display: table-row-group;
}

.g-tfoot {
    display: table-footer-group;
}

.g-tr {
    display: table-row;
}

.g-th {
    font-weight: bold;
}

.g-th,
.g-td {
    border-bottom: 1px solid #dee2e6;
    border-left: 1px solid #dee2e6;
    display: table-cell;
    padding: 0.75rem;
}

.g-tr:first-child > .g-th,
.g-tr:first-child > .g-td {
    border-top: 1px solid #dee2e6;
}

.g-thead + .g-tbody > .g-tr:first-child > .g-th,
.g-thead + .g-tbody > .g-tr:first-child > .g-td,
.g-tbody + .g-tfoot > .g-tr:first-child > .g-th,
.g-tbody + .g-tfoot > .g-tr:first-child > .g-td {
    border-top: none;
}

.g-th:last-child,
.g-td:last-child {
    border-right: 1px solid #dee2e6;
}

/* width*/
.g-w-70 {
    width: 70px;
}

.g-w-100 {
    width: 100px;
}

.g-w-150 {
    width: 150px;
}

.g-w-200 {
    width: 200px;
}

.g-w-250 {
    width: 250px;
}

.g-w-300 {
    width: 300px;
}

/* image overlay */
.img-overlay {
    display: inline-block;
    position: relative;
}

.img-overlay::before {
    background: rgba(0, 0, 0, 0.5);
    content: "";
}

.img-hoverlay::before,
.img-hoverlay > .icon {
    opacity: 0;
    transition: all 0.5s ease;
}

.img-hoverlay:hover::before,
.img-hoverlay:hover > .icon {
    opacity: 1;
}

.img-overlay::before {
    bottom: 0;
    height: 100%;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
}

.img-overlay > .icon {
    color: #fff;
    font-size: 52px;
    left: calc(50% - 26px);
    position: absolute;
    top: calc(50% - 26px);
}

.img-overlay > .icon-sm {
    font-size: 26px;
    left: calc(50% - 13px);
    top: calc(50% - 13px);
}

/* equal height image */
.ehimage {
    background: transparent no-repeat center / contain;
    height: 125px;
    width: 125px;
    max-width: 100%;
}

/* override */
.page-link,
.page-link:hover {
    color: #F05A66;
}

.page-item.active .page-link {
    background-color: #e89796;
    border-color: #e89796;
}

/* image */
@media (min-width: 1200px) {
    .img-frame-bg {
        background: url("../images/home/cc/1.png") no-repeat 0 0 / cover;
    }

    .img-frame {
        margin-top: 85px;
    }

    .img-frame-wrap {
        background: url(../images/home/cc/2.png) no-repeat 0 0 / 100% 100%;
        padding: 20px;
    }

    .img-frame-img {
        background: transparent no-repeat 0 0 / cover;
        height: 340px;
    }
}
